openapi: 3.1.0
info:
  title: Common Security Schemes
  description: |
    **Common Security Schemes** provides standard definitions for supported security schemes
  version: 1.0.0.0
  contact:
    name: StepChange
    x-name-full: |
      Foundation for Credit Counselling, 123 Albion Street, Leeds, LS2 8ER trading as StepChange Debt Charity and StepChange Debt Charity Scotland. 
      A registered charity no.1016630 and SC046263. It is a limited company registered in England and Wales (company no:2757055). 
      Authorised and regulated by the Financial Conduct Authority (Firm Registration Number 729047)
    x-name-location: 123 Albion Street · Leeds · LS2 8ER · United Kingdom
    x-combined-contact: https://www.stepchange.org/
    url: https://www.stepchange.org/s
    email: contactus@stepchange.org
  license:
    name: Proprietary License
    url: https://www.stepchange.org/
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
    openId:
      type: openIdConnect
      openIdConnectUrl: .well-known/openid-configuration
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT
    oauth2:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://example.com/api/oauth/dialog
          scopes:
            write:example_clients: modify clients
            read:example_clients: read clients
        authorizationCode:
          authorizationUrl: https://example.com/api/oauth/dialog
          tokenUrl: https://example.com/api/oauth/token
          scopes:
            write:example_clients: modify clients
            read:example_clients: read clients
